# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    install_dmg('OpenSC-%s.dmg' % control.get_software_version(),key="pkgid:org.opensc-project.mac",min_version=control.get_software_version())


def session_setup():
    pkcs11_modules_path = makepath(user_home_directory(),".pkcs11_modules")
    mkdirs(pkcs11_modules_path)

    run(rf'ln -s /Librairy/OpenSC/lib/opensc-pkcs11.so {pkcs11_modules_path}')

def uninstall():
    uninstall_pkg('org.opensc-project.mac.opensctoken')
    uninstall_pkg('org.opensc-project.mac')
    uninstall_pkg('org.opensc-project.startup')
    uninstall_pkg('org.opensc-project.tokend')

    if isdir('/Applications/Utilities/OpenSC Notify.app'):
        remove_tree('/Applications/Utilities/OpenSC Notify.app')

    if isdir('/Applications/Utilities/OpenSCTokenApp.app'):
        remove_tree('/Applications/Utilities/OpenSCTokenApp.app')
        
    if isdir('/Applications/OpenSC Uninstaller.app'):
        remove_tree('/Applications/OpenSC Uninstaller.app')