# -*- coding: utf-8 -*-
from setuphelpers import *
import json


def update_package():
    print("Download/Update package content from upstream binary sources")

    # Initializing variables
    app_name = control.name
    url_api = "https://api.github.com/repos/OpenSC/OpenSC/releases/latest"
    proxy = get_proxies()
    dmg_name_string = "OpenSC-%s.dmg"
    # Getting latest informations from Github API
    json_load = json.loads(wgets(url_api, proxies=proxy))
    for download in json_load:
        version = json_load["tag_name"]
        break

    latest_dmg = dmg_name_string % version
    url_dl = "https://github.com/OpenSC/OpenSC/releases/download/" + version + "/" + latest_dmg

    print("Latest " + app_name + " version is: " + version)

    # Downloading latest binaries
    if not isfile(latest_dmg):
        print("Downloading: " + latest_dmg)
        wget(url_dl, latest_dmg, proxies=proxy)

        # Changing version of the package
        control.version = "%s-%s" % (version, int(control.version.split("-")[-1]) + 1)
        control.save_control_to_wapt()
        print("Changing version to: %s in WAPT\\control" % control.version)

    # Deleting outdated binaries
    for bin_in_dir in glob.glob("*.dmg"):
        if bin_in_dir != latest_dmg:
            print("Outdated binary: " + bin_in_dir + " Deleted")
            remove_file(bin_in_dir)
